RRDCOLLECT(8)

NAME
RRDcollect -- Round-Robin Database Collecting Daemon.

SYNOPSIS
rrdcollect [option]...

DESCRIPTION
The rrdcollect daemon is responsible for fetching statistical data from various soures (listed in rrdcollect.conf), typically files under /proc/ directory. It periodically reads them and searches for patterns from configuration file. Values are later stored inside rrdtool's .rrd files.

OPTIONS
RRDcollect follows the usual GNU command line syntax, with long options starting with two dashes (`-').

  General options

-c file
--config=file
    Specifies which file should be read instead of default config file.

-n
--no-fork
    Program will not fork. Very useful when testing or debugging.

-v
--verbose
    Inceease verbosity. This option also implies --no-fork, since you probably don't want RRDcollect in daemon mode trashing your terminal.

  RRD update options

-o file
--output=file
    Specifies file to which rrdtool(1)-style commands should be written. If file you specify is `-' (hyphen), then commans are written to standard output (this case implies --no-fork).

-p
--pipe
--pipe=program
    When this option is used, RRDcollect will open pipe to rrdtool(1) program and send it update commands. If you don't give program, the compiled-in default is assumed (either `rrdtool - >/dev/null' or full path to rrdtool(1) binary). The program option can be specified as a full path or just a command name, in the latter case the program should reside on PATH.

If no RRD update option is given, RRDcollect uses internal librrd routines (which is its preffered mode of operation). If RRDcollect is not compiled with librrd, then it will fall back to pipe-mode.

  Help and information

-V
--version
    Display RRDcollect's version, compile-time options and license.

-h
--help
    Show summary of options.

--usage
    Show short usage information.

FILES
/opt/etc/rrdcollect.conf

SEE ALSO
rrdcollect.conf(5), rrdtool(1), pcre(3)

BUGS
Hopefully not many...

AUTHOR
Dawid Kuroczko <qnex@knm.org.pl>